sensorfw: TouchData Class Reference

sensorfw

Public Types | Public Member Functions | Public Attributes | List of all members
TouchData Class Reference

Datatype for device touchscreen events. More...

`#include <touchdata.h>`

Inheritance diagram for TouchData:

## Public Types
enum | FingerState { FingerStateNotPresent = 0 , FingerStateAccurate , FingerStateInaccurate }
| Enumeration to handle synaptic multitouch driver accuracy. More...

## Public Member Functions
| TouchData ()
| Default Constructor. More...
| TouchData (TimedXyzData timedXyzData, int object, FingerState state)
| Constructor. More...
Public Member Functions inherited from TimedXyzData
| TimedXyzData ()
| Constructor. More...
| TimedXyzData (const quint64 &timestamp, int x, int y, int z)
| Constructor. More...
Public Member Functions inherited from TimedData
| TimedData (const quint64 &timestamp)
| Constructor. More...

## Public Attributes
int | object_
| Touch event source (which finger), 1,2,... More...
FingerState | state_
| Touch event finger state. More...
Public Attributes inherited from TimedXyzData
int | x_
| X value. More...
int | y_
| Y value. More...
int | z_
| Z value. More...
Public Attributes inherited from TimedData
quint64 | timestamp_
| monotonic time (microsec) More...

## Detailed Description

Datatype for device touchscreen events.

Definition at line 34 of file touchdata.h.

## Member Enumeration Documentation

## ◆ FingerState

enum TouchData::FingerState

Enumeration to handle synaptic multitouch driver accuracy.

On certain occasions the measured coordinates might be reversed on x/y axis.

Enumerator
FingerStateNotPresent | Finger not present.
FingerStateAccurate | Coordinates are accurate.
FingerStateInaccurate | Coordinates are either accurate or mirrored.

Definition at line 41 of file touchdata.h.

## Constructor & Destructor Documentation

## ◆ TouchData() [1/2]

TouchData::TouchData | ( |  | ) |
| inline

Default Constructor.

Initialises all values as zero.

Definition at line 53 of file touchdata.h.

## ◆ TouchData() [2/2]

TouchData::TouchData | ( | TimedXyzData | timedXyzData,
|  | int | object,
|  | FingerState | state
| ) |  |
| inline

Constructor.

Parameters

  timedXyzData | contained data.
  object | event source.
  state | event state.

Definition at line 62 of file touchdata.h.

## Member Data Documentation

## ◆ object_

int TouchData::object_

Touch event source (which finger), 1,2,...

Definition at line 47 of file touchdata.h.

## ◆ state_

FingerState TouchData::state_

Touch event finger state.

Definition at line 48 of file touchdata.h.

The documentation for this class was generated from the following file:

- datatypes/touchdata.h